scala.util

# grammar

#### package grammar

Visibility

1. Public
2. All

### Type Members

1. #### case class ConsRHS(tnt: Int, hnt: Int) extends HedgeRHS with Product with Serializable

   right hand side of a hedge production, deriving a single tree

2. #### abstract class HedgeRHS extends AnyRef

3. #### case class LabelledRHS[A](label: A, hnt: Int) extends TreeRHS with Product with Serializable

   right hand side of a tree production, labelled with a letter from an alphabet

4. #### abstract class TreeRHS extends AnyRef

   right hand side of a tree production

### Value Members

1. #### object AnyHedgeRHS extends HedgeRHS with Product with Serializable

   right hand side of a hedge production, deriving any hedge

2. #### object AnyTreeRHS extends TreeRHS with Product with Serializable

3. #### object EmptyHedgeRHS extends HedgeRHS with Product with Serializable

   right hand side of a hedge production, deriving the empty hedge